export declare type SearchProps = {
    setSearchText?: (value: string) => void;
    placeholder?: string;
    /**
     * How many milliseconds to wait for the user to finish updating the search input before updating the value.
     * To prevent a debounce, pass in 0 for this param and the user-entered value will immediately propogate.
     * @default 300 ms
     */
    debounceDelayMs?: number;
};
export declare const Search: ({ setSearchText, placeholder, debounceDelayMs }: SearchProps) => import("theme-ui/jsx-runtime").JSX.Element;
